packages:
  all:
    target: ["icelake"]
    require:
      - spec: ^openmpi +cuda target=icelake
        when: '%gcc ^mpi'

      - spec: cuda_arch=90 target=icelake
        when: '+cuda'

      - spec: "^cuda target=icelake"
        when: '^cuda'

      - '+cuda'

  ucx:
    require:
      - spec: +xpmem +knem +cma +rdmacm +rc +ud +dc +verbs +ib_hw_tm +vfs +gdrcopy +cuda

  openmpi:
    require:
      - spec: fabrics=hcoll
